#ifndef FRAME_CPP_INTERFACE__Base_HH
#define FRAME_CPP_INTERFACE__Base_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/base.hh"
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrBase.hh"
#else
#error Unsupported Frame specification
#endif /* FRAME_SPEC_CURRENT */

namespace FrameCPP
{
#if FRAME_SPEC_CURRENT == 5
  typedef Version::Base Base;
#elif FRAME_SPEC_CURRENT > 5
  typedef Version::FrBase Base;
#endif
}

#endif /* FRAME_CPP_INTERFACE__Base_HH */

