#include "config.h"

#include <sstream>

#include "adcdata.hh"
#include "detector.hh"
#include "event.hh"
#include "history.hh"
#include "msg.hh"
#include "procdata.hh"
#include "serdata.hh"
#include "adcdata.hh"
#include "detector.hh"
#include "event.hh"
#include "history.hh"
#include "msg.hh"
#include "procdata.hh"
#include "serdata.hh"
#include "simdata.hh"
#include "simevent.hh"
#include "statdata.hh"
#include "summary.hh"
#include "table.hh"
#include "vect.hh"
#include "container.hh"
#include "framecpp/SearchContainer.hh"


//-----------------------------------------------------------------------
// Instantiate needed Search containers
//-----------------------------------------------------------------------

#define INSTANTIATE(C,F) \
template class FrameCPP::Version_3_4_5::Container< C >; \
template class FrameCPP::SearchContainer< C, \
                                          &C::F, \
                                          FrameCPP::Version_3_4_5::Container< C > >

INSTANTIATE( FrameCPP::Version_3_4_5::AdcData, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Detector, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Event, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::History, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Msg, getAlarm );
INSTANTIATE( FrameCPP::Version_3_4_5::ProcData, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::SerData, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::SimData, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::SimEvent, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::StatData, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Summary, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Table, getName );
INSTANTIATE( FrameCPP::Version_3_4_5::Vect, getName );


#undef INSTANTIATE
