#ifndef FrameCppRefHeadBaseHH
#define FrameCppRefHeadBaseHH


#include <typeinfo>


namespace FrameCPP {

namespace Version_3_4_5 {

class Base;


//-----------------------------------------------------------------------------
//
//: Container Reference base class.
//
//!todo: Does this class need to exist?
//
class RefHeadBase
{
public:

    RefHeadBase(){}

    virtual ~RefHeadBase();

    //-------------------------------------------------------------------------
    //
    //: Add an item to the container. Pure virtual.
    //
    //!param: Base* b - Item to be added.
    //
    //!exc: std::bad_cast 
    virtual void addItem( Base* b ) = 0;

    virtual const void* getContainer( ) const = 0;
};


} // namespace - Version_3_4_5

} // namespace - FrameCPP


#endif // FrameCppRefHeadBaseHH
