#ifndef FrameCPP_Container_HH
#define FrameCPP_Container_HH

#include "framecpp/FrameCPP.hh"
#if FRAME_SPEC_CURRENT == 5
#include "framecpp/container.hh"
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/Container.hh"
#else	/* FRAME_SPEC_CURRENT */
#error Do not know which container to use as default.
#endif	/* FRAME_SPEC_CURRENT */

namespace FrameCPP
{
    template< class T >
    class Container: public Version::Container< T >
    {
    };
} // namespace - FrameCPP

#endif /* FrameCPP_Container_HH */
