#ifndef FRAME_CPP_INTERFACE__FrVect_HH
#define FRAME_CPP_INTERFACE__FrVect_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/vect.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef Vect FrVect;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrVect.hh"
#else
#error Unsupported Frame specification
#endif

namespace FrameCPP
{
  typedef Version::FrVect FrVect;
}

#endif /* FRAME_CPP_INTERFACE__FrVect_HH */
