#ifndef FRAME_CPP_INTERFACE__FrameH_HH
#define FRAME_CPP_INTERFACE__FrameH_HH

#include "framecpp/FrameCPP.hh"

#if FRAME_SPEC_CURRENT == 5
#include "framecpp/frame.hh"	// Version 3,4, and 5
namespace FrameCPP
{
  namespace Version_3_4_5
  {
    typedef Frame FrameH;
  }
}
#elif FRAME_SPEC_CURRENT == 6
#include "framecpp/Version6/FrameH.hh"
#else
#error Unsupported version
#endif

namespace FrameCPP
{
  typedef Version::FrameH FrameH;
}

#endif /* FRAME_CPP_INTERFACE__FrameH_HH */
