#ifndef FrameCPP_FrCommon_6_HH
#define FrameCPP_FrCommon_6_HH

#include <string>

#include "general/types.hh"

#include "framecpp/Version6/FrBase.hh"


namespace FrameCPP
{
  namespace Version_6
  {
    const CHAR_U DATA_FORMAT_VERSION( 6 );
    const CHAR_U LIBRARY_MINOR_VERSION( 2 );

    enum {
      LAST_PRE_DEFINED = FrBase::LAST_PRE_DEFINED ,
      CLASS_FRAME_H,
      CLASS_FR_ADC_DATA,
      CLASS_FR_DETECTOR,
      CLASS_FR_END_OF_FILE,
      CLASS_FR_END_OF_FRAME,
      CLASS_FR_EVENT,
      CLASS_FR_HISTORY,
      CLASS_FR_MSG,
      CLASS_FR_PROC_DATA,
      CLASS_FR_RAW_DATA,
      CLASS_FR_SER_DATA,
      CLASS_FR_SIM_DATA,
      CLASS_FR_SIM_EVENT,
      CLASS_FR_STAT_DATA,
      CLASS_FR_SUMMARY,
      CLASS_FR_TABLE,
      CLASS_FR_TOC,
      CLASS_FR_VECT,
      CLASS_LAST_ENTRY
    };

    void AppendComment( std::string& Dest, const std::string& Text );
    std::string GetClassName( INT_4U ClassId );

  } // namespace - Version_6
} // namespace - FrameCPP


#endif /* FrameCPP_FrCommon_6_HH */
