#include "framecpp/config.h"

#include <memory>

#include "framecpp/Version6/FrameH.hh"
#include "framecpp/Version6/FrBase.hh"
#include "framecpp/Version6/Functions.hh"
#include "framecpp/Version6/OFrameStream.hh"
#include "framecpp/Version6/IFrameStream.hh"

using namespace FrameCPP::Version_6;

namespace FrameCPP
{
  namespace Version_6
  {
    FrameH*
    ReadFrame( IFrameStream& Input )
    {
      return dynamic_cast< FrameH* >( Input.ReadNextFrame( ) );
    }

    void
    WriteFrame( OFrameStream& Stream, FrameH& Frame )
    {
      Stream.AppendObject( Frame );
    }
  } // namespace - Version_6
} // namespace - FrameCPP
