#ifndef FrameCPP_GPSTime_6_HH
#define FrameCPP_GPSTime_6_HH

#include "general/types.hh"
#include "general/gpstime.hh"

namespace FrameCPP
{
  namespace Version_6
  {
    typedef General::GPSTime GPSTime;

    inline INT_8U Bytes( const GPSTime& Time )
    {
      return sizeof( INT_4U ) + // Seconds
	sizeof( INT_4U );	// Nanosseconds
    }
  } // namespace - Version_6

} // namespace - FrameCPP
#endif /* FrameCPP_GPSTime_6_HH */
