#ifndef GENERAL__PS_INFO_HH
#define GENERAL__PS_INFO_HH

#include <sys/types.h>
#include <unistd.h>

#include <string>

namespace General
{
  class PSInfo
  {
  public:
    struct psinfo_type {
      pid_t		s_pid;
      char		s_state;
      std::string	s_user;
      size_t		s_vsz;
      size_t		s_rsz;
      float		s_pcpu;
      float		s_pmem;
      int		s_etime;
      std::string	s_fname;
      std::string	s_args;
    };

    PSInfo( pid_t PID = getpid( ) );

    void operator()( psinfo_type& Query ) const;

  private:
    pid_t	m_pid;
  };
}

#endif /* GENERAL__PS_INFO_HH */
